Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MID Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.lcdui
Class StringItem

    java.lang.Object
      javax.microedition.lcdui.Item
          javax.microedition.lcdui.StringItem

public class StringItem
extends Item

An item that can contain a string. A `StringItem` is display-only; the user cannot edit the contents. Both the label and the textual content of a `StringItem` may be modified by the application. The visual representation of the label may differ from that of the textual contents.

Field Summary

Fields inherited from class javax.microedition.lcdui.Item
`BUTTON, HYPERLINK, LAYOUT_2, LAYOUT_BOTTOM, LAYOUT_CENTER, LAYOUT_DEFAULT, LAYOUT_EXPAND, LAYOUT_LEFT, LAYOUT_NEWLINE_AFTER, LAYOUT_NEWLINE_BEFORE, LAYOUT_RIGHT, LAYOUT_SHRINK, LAYOUT_TOP, LAYOUT_VCENTER, LAYOUT_VEXPAND, LAYOUT_VSHRINK, PLAIN`

Constructor Summary
`StringItem(String label, String text)` Creates a new `StringItem` object.
`StringItem(String label, String text, int appearanceMode)` Creates a new `StringItem` object with the given label, textual content, and appearance mode.

Method Summary
`int` | `getAppearanceMode()` Returns the appearance mode of the `StringItem`.
`Font` | `getFont()` Gets the application's preferred font for rendering this `StringItem`.
`String` | `getText()` Gets the text contents of the `StringItem`, or `null` if the `StringItem` is empty.
`void` | `setFont(Font font)` Sets the application's preferred font for rendering this `StringItem`.
`void` | `setPreferredSize(int width, int height)` Sets the preferred width and height for this `Item`.
`void` | `setText(String text)` Sets the text contents of the `StringItem`.

Methods inherited from class javax.microedition.lcdui.Item
`addCommand, getLabel, getLayout, getMinimumHeight, getMinimumWidth, getPreferredHeight, getPreferredWidth, notifyStateChanged, removeCommand, setDefaultCommand, setItemCommandListener, setLabel, setLayout`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringItem

    public StringItem(String label,
                      String text)

  Creates a new `StringItem` object. Calling this constructor is equivalent to calling

           StringItem(label, text, PLAIN);

Parameters:
  `label` - the `Item` label
  `text` - the text contents
See Also:
  `StringItem(String, String, int)`

### StringItem

    public StringItem(String label,
                      String text,
                      int appearanceMode)

  Creates a new `StringItem` object with the given label, textual content, and appearance mode. Either label or text may be present or `null`.

  The `appearanceMode` parameter (see Appearance Modes) is a hint to the platform of the application's intended use for this `StringItem`. To provide hyperlink- or button-like behavior, the application should associate a default `Command` with this `StringItem` and add an `ItemCommandListener` to this `StringItem`.

  Here is an example showing the use of a `StringItem` as a button:

           StringItem strItem =
               new StringItem("Default: ", "Set",
                              Item.BUTTON);
           strItem.setDefaultCommand(
               new Command("Set", Command.ITEM, 1);
           // icl is ItemCommandListener
           strItem.setItemCommandListener(icl);

Parameters:
  `label` - the `StringItem's` label, or `null` if no label
  `text` - the `StringItem's` text contents, or `null` if the contents are initially empty
  `appearanceMode` - the appearance mode of the `StringItem`, one of `Item.PLAIN`, `Item.HYPERLINK`, or `Item.BUTTON`
Throws:
  `IllegalArgumentException` - if `appearanceMode` invalid
Since:
  MIDP 2.0

Method Detail

### getText

    public String getText()

  Gets the text contents of the `StringItem`, or `null` if the `StringItem` is empty.

  Returns:
    a string with the content of the item
  See Also:
    `setText(java.lang.String)`

### setText

    public void setText(String text)

  Sets the text contents of the `StringItem`. If text is `null`, the `StringItem` is set to be empty.

  Parameters:
    `text` - the new content
  See Also:
    `getText()`

### getAppearanceMode

    public int getAppearanceMode()

  Returns the appearance mode of the `StringItem`. See Appearance Modes.

  Returns:
    the appearance mode value, one of `Item.PLAIN`, `Item.HYPERLINK`, or `Item.BUTTON`
  Since:
    MIDP 2.0

### setFont

    public void setFont(Font font)

  Sets the application's preferred font for rendering this `StringItem`. The font is a hint, and the implementation may disregard the application's preferred font.

  The `font` parameter must be a valid `Font` object or `null`. If the `font` parameter is `null`, the implementation must use its default font to render the `StringItem`.

  Parameters:
    `font` - the preferred font to use to render this `StringItem`
  Since:
    MIDP 2.0
  See Also:
    `getFont()`

### getFont

    public Font getFont()

  Gets the application's preferred font for rendering this `StringItem`. The value returned is the font that had been set by the application, even if that value had been disregarded by the implementation. If no font had been set by the application, or if the application explicitly set the font to `null`, the value is the default font chosen by the implementation.

  Returns:
    the preferred font to use to render this `StringItem`
  Since:
    MIDP 2.0
  See Also:
    `setFont(javax.microedition.lcdui.Font)`

### setPreferredSize

    public void setPreferredSize(int width,
                                 int height)

  Sets the preferred width and height for this `Item`. Values for width and height less than `-1` are illegal. If the width is between zero and the minimum width, inclusive, the minimum width is used instead. If the height is between zero and the minimum height, inclusive, the minimum height is used instead.

  Supplying a width or height value greater than the minimum width or height locks that dimension to the supplied value. The implementation may silently enforce a maximum dimension for an `Item` based on factors such as the screen size. Supplying a value of `-1` for the width or height unlocks that dimension. See Item Sizes for a complete discussion.

  It is illegal to call this method if this `Item` is contained within an `Alert`.

  Overrides:
    `setPreferredSize` in class `Item`
  Parameters:
    `width` - the value to which the width should be locked, or `-1` to unlock
    `height` - the value to which the height should be locked, or `-1` to unlock
  Throws:
    `IllegalArgumentException` - if width or height is less than `-1`
    `IllegalStateException` - if this `Item` is contained within an `Alert`
  Since:
    MIDP 2.0
  See Also:
    `Item.getPreferredHeight()`, `Item.getPreferredWidth()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MID Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 2.0 of MID Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.